<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript HW 4</title>
</head>
<body>
<script>
    function nameChecker (namePart) {
        while (!isNaN(namePart) || namePart === "null") {
            namePart = prompt("Please, retry with a correct data!", namePart);
        }
        return (namePart);
    }

    function createNewUser() {
        let userFirstName = prompt("Please, enter your first name below:", "");
        let firstName = nameChecker(userFirstName);

        let userLastName = prompt("Please, enter your last name below:", "");
        let lastName = nameChecker(userLastName);

        return newUser = {
            firstName,
            lastName,
            getLogin: function() {
                return this.firstName.toLowerCase()[0] + this.lastName.toLowerCase();
            },
        }
    }

    console.log("the new user's profile is -", createNewUser());
    console.log("the new user's login is -", newUser.getLogin());

</script>
</body>
</html>

<!--Метод обьекта - это встроенная в него функция, которая задана в виде значения к одному-->
<!--из свойств этого обьекта (названием этого свойства выступает название самой функции).-->
<!--Данная функция (метод) призвана обрабатывать остальные свойства и/или значения своего-->
<!--обьекта (но может обращаться также и к глобальным переменным). Насколько я понимаю,-->
<!--это дает возможность реализовать автономную программу внутри автономной переменной-->
<!--(обьекта).-->

<!--Для того, чтобы метод работал с локальными для обьекта в который он встроен свойствами-->
<!--и их значениями, используется ключевое слово "this.".-->